[arch-commits] Commit in liblouis/repos (4 files)

Ionut Biru ibiru at archlinux.org
Sat Oct 1 14:59:59 EDT 2011


    Date: Saturday, October 1, 2011 @ 14:59:58
  Author: ibiru
Revision: 139380

db-move: moved liblouis from [testing] to [extra] (i686)

Added:
  liblouis/repos/extra-i686/
  liblouis/repos/extra-i686/PKGBUILD
    (from rev 139207, liblouis/repos/testing-i686/PKGBUILD)
  liblouis/repos/extra-i686/liblouis.install
    (from rev 139207, liblouis/repos/testing-i686/liblouis.install)
Deleted:
  liblouis/repos/testing-i686/

------------------+
 PKGBUILD         |   33 +++++++++++++++++++++++++++++++++
 liblouis.install |   20 ++++++++++++++++++++
 2 files changed, 53 insertions(+)

Copied: liblouis/repos/extra-i686/PKGBUILD (from rev 139207, liblouis/repos/testing-i686/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2011-10-01 18:59:58 UTC (rev 139380)
@@ -0,0 +1,33 @@
+# $Id$
+# Maintainer: Ionut Biru <ibiru at archlinux.org>
+
+pkgname=liblouis
+pkgver=2.3.0
+pkgrel=1
+pkgdesc="Open-source braille translator and back-translator"
+arch=(i686 x86_64)
+url="http://code.google.com/p/liblouis/"
+license=('GPL3')
+depends=(glibc)
+makedepends=(help2man python2)
+optdepends=('python2: for python bindings')
+options=(!libtool)
+install=liblouis.install
+source=(http://liblouis.googlecode.com/files/$pkgname-$pkgver.tar.gz)
+sha1sums=('f670c4fd845b3310ec02140fb26d912bdb1df356')
+
+build() {
+  cd "$srcdir/$pkgname-$pkgver"
+  ./configure --prefix=/usr --disable-static
+  make
+}
+
+package() {
+  cd "$srcdir/$pkgname-$pkgver"
+  make DESTDIR="$pkgdir" install
+
+  cd python
+  LD_PRELOAD+=":$srcdir/$pkgname-$pkgver/liblouis/.libs/liblouis.so"
+  python2 setup.py install --root="$pkgdir" --prefix="/usr" --optimize=1
+}
+# vim:set ts=2 sw=2 et:

Copied: liblouis/repos/extra-i686/liblouis.install (from rev 139207, liblouis/repos/testing-i686/liblouis.install)
===================================================================
--- extra-i686/liblouis.install	                        (rev 0)
+++ extra-i686/liblouis.install	2011-10-01 18:59:58 UTC (rev 139380)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(liblouis.info)
+
+post_install() {
+    [ -x usr/bin/install-info ] || return 0
+    for file in ${filelist[@]}; do
+        install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+    done
+}
+
+post_upgrade() {
+    post_install $1
+}
+
+pre_remove() {
+    [ -x usr/bin/install-info ] || return 0
+    for file in ${filelist[@]}; do
+        install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+    done
+}



More information about the arch-commits mailing list